package POM_Structure_code.StepDefination;

import POM_Structure_code.TestClasses.LoginTest;
import POM_Structure_code.Utils.BaseTest;
import io.cucumber.java.en.Given;
import io.cucumber.java.en.When;
import io.cucumber.java.en.Then;
import io.cucumber.java.Before;

public class StepDefination extends BaseTest {


    LoginTest test = new LoginTest();



    @Given("Present on login page")
    public void presentOnLoginPage() {
        setUp();
        obj.get("https://rahulshettyacademy.com/locatorspractice/"); // Navigate to the login page
    }

    @When("I enter username {string} and password {string} and click on login button")
    public void enteringData(String username, String password) {
        test.loginTest(username, password);  // Using the test class's method to perform login
    }

    @Then("user should login")
    public void verifyLogin() {
        test.validateLogin(); // Verifying if login was successful
    }
}
